SDL_ControllerButtonEvent Struct Reference

Game controller button event structure (event.cbutton.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Uint8 | button
Uint8 | state
Uint8 | padding1
Uint8 | padding2

## Detailed Description

Game controller button event structure (event.cbutton.*)

Definition at line 394 of file SDL_events.h.

## Field Documentation

## button

Uint8 SDL_ControllerButtonEvent::button

The controller button (SDL_GameControllerButton)

Definition at line 399 of file SDL_events.h.

## padding1

Uint8 SDL_ControllerButtonEvent::padding1

Definition at line 401 of file SDL_events.h.

## padding2

Uint8 SDL_ControllerButtonEvent::padding2

Definition at line 402 of file SDL_events.h.

## state

Uint8 SDL_ControllerButtonEvent::state

SDL_PRESSED or SDL_RELEASED

Definition at line 400 of file SDL_events.h.

## timestamp

Uint32 SDL_ControllerButtonEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 397 of file SDL_events.h.

## type

Uint32 SDL_ControllerButtonEvent::type

SDL_CONTROLLERBUTTONDOWN or SDL_CONTROLLERBUTTONUP

Definition at line 396 of file SDL_events.h.

## which

SDL_JoystickID SDL_ControllerButtonEvent::which

The joystick instance id

Definition at line 398 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h